summaryrefslogtreecommitdiff
path: root/auto/bin/update_ext.sh
diff options
context:
space:
mode:
Diffstat (limited to 'auto/bin/update_ext.sh')
-rwxr-xr-xauto/bin/update_ext.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/auto/bin/update_ext.sh b/auto/bin/update_ext.sh
new file mode 100755
index 0000000..e990a21
--- /dev/null
+++ b/auto/bin/update_ext.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+##
+## Copyright (C) 2002-2008, Marcelo E. Magallon <mmagallo[]debian org>
+## Copyright (C) 2002-2008, Milan Ikits <milan ikits[]ieee org>
+##
+## This program is distributed under the terms and conditions of the GNU
+## General Public License Version 2 as published by the Free Software
+## Foundation or, at your option, any later version.
+##
+## Parameters:
+##
+## $1: Extensions directory
+## $2: Registry directory
+## $3: The black list
+
+set -e
+
+if [ ! -d $1 ] ; then
+ mkdir -p $1
+
+# Parse each of the extensions in the registry
+ find $2 -name doc -type d -prune -o -name "*.txt" -print | \
+ grep -v -f $3 | sort | bin/parse_spec.pl $1
+
+fi